.. index:: ! pssac

*****
pssac
*****

.. only:: not man

    pssac - Plot seismograms in SAC format on maps

Synopsis
--------

.. include:: ../../common_SYN_OPTs.rst_

**pssac** [ *saclist*\ \|\ *SACfiles* ] |-J|\ *parameters*
|SYN_OPT-R|
[ |SYN_OPT-B| ]
[ |-C|\ [*t0/t1*] ]
[ |-D|\ *dx*\ [/*dy*] ]
[ |-E|\ **a**\|\ **b**\|\ **k**\|\ **d**\|\ **n**\ [*n*]\|\ **u**\ [*n*] ]
[ |-F|\ [**i**][**q**][**r**] ]
[ |-G|\ [**p**\|\ **n**][**+g**\ *fill*][**+z**\ *zero*][**+t**\ *t0/t1*] ]
[ |-K| ]
[ |-M|\ *size*\ [*u*][/*alpha*] ]
[ |-O| ]
[ |-P| ]
[ |-Q| ]
[ |-S|\ [**i**]\ *scale*\ [*unit*] ]
[ |-T|\ [**+t**\ *n*][**+r**\ *reduce_vel*][**+s**\ *shift*] ]
[ |SYN_OPT-U| ]
[ |SYN_OPT-V| ]
[ |-W|\ *pen* ]
[ |SYN_OPT-X| ]
[ |SYN_OPT-Y| ]
[ |SYN_OPT-h| ]
[ |SYN_OPT-p| ]
[ |SYN_OPT-t| ]
[ |SYN_OPT--| ]

.. include:: sac_common.rst_

.. include:: ../../common_classic_sup.rst_

Examples
--------

To plot a single seismogram seis.SAC (generated by SAC command ``funcgen seismogram``)
and paint positive portion black and negative portion red::

    gmt pssac seis.SAC -JX10c/5c -R9/20/-2/2 -Baf -Fr -Gp+gblack -Gn+gred > single.ps

To plot several seismograms (generated by SAC command ``datagen sub tele *.z``) on a distance profile::

    gmt pssac *.z -R200/1600/12/45 -JX15c/5c -Bx200+l'T(s)' -By5+lDegree -BWSen \
        -Ed -M1.5c -W0.5p,red > distance_profile.ps

To plot seismograms (generated by SAC command ``datagen sub tele *.z``) on a geographic map::

    gmt pssac *.z -JM15c -R-120/-40/35/65 -Baf -M1i -S300c -K > map.ps
    saclst stlo stla f *.z | gmt psxy -J -R -St0.4c -Gblack -i1,2 -O >> map.ps

.. include:: sac_notes.rst_

See Also
--------

:doc:`psmeca`,
:doc:`pspolar`,
:doc:`pscoupe`,
:doc:`gmt </gmt>`, :doc:`psbasemap </psbasemap>`, :doc:`psxy </psxy>`
